package cn.net.caoyao.cpzshandset.common.util;

import java.io.File;

public class FileUtils {

	/**
	 * 删除文件
	 * 
	 * @param path
	 *            文件全路径
	 */
	public static void delFile(String path) {

		File file = new File(path);

		if (file.exists()) {
			if (file.isFile()) {
				file.delete();
			}

		}

	}

	/**
	 * 删除文件夹及文件夹下的内容
	 * 
	 * @param path
	 */
	public static void delDir(String path) {

		File file = new File(path);
		if (file.exists()) {
			if (file.isFile()) {
				file.delete();
			} else if (file.isDirectory()) {
				File[] files = file.listFiles();
				for (int i = 0; i < files.length; i++) {
					File tempFile = files[i];
					if (tempFile.isFile()) {
						tempFile.delete();
					} else if (tempFile.isDirectory()) {
						delDir(tempFile.getPath());
					}
				}
				file.delete();
			}
		}

	}

	/**
	 * 文件是否存在
	 * 
	 * @param path
	 * @return
	 */
	public static boolean isFileExists(String path) {

		File file = new File(path);
		if (file.exists()) {
			return true;
		}
		return false;

	}

	/**
	 * 创建文件夹
	 * 
	 * @param dirPath
	 *            路徑
	 */
	public static File createDir(String dirPath) {

		File file = new File(dirPath);
		if (!file.isDirectory()) {
			file.mkdirs();
		}
		return file;
	}

	/**
	 * 根据文件路径获取文件名
	 * 
	 * @param filePath
	 * @return
	 */
	public static String getFileName(String filePath) {
		int index = filePath.lastIndexOf(File.separator);
		if (index != -1) {
			return filePath.substring(index + 1);
		}

		return filePath;
	}

}
